All pages
Powered by GitBook
1 of 5

Loading...

Loading...

Loading...

Loading...

Loading...

Applications

Generate app token

post
Path parameters
org-idintegerRequired

Org ID

Example: 10
Responses
200

Success

application/json
accessTokenstringRequired

Access Token

Example: eyJhbGciOiJIUzI1...
expiresAtstringRequired

Expiry timestamp

Example: 2023-04-03T10:37:45.814Z
400

Error validating JWT

No content

500

Internal server error

No content

post/application/installation/{org-id}/token
POST /application/installation/{org-id}/token HTTP/1.1
Accept: */*
{
  "accessToken": "eyJhbGciOiJIUzI1...",
  "expiresAt": "2023-04-03T10:37:45.814Z"
}

Validate token

post
Body
tokenstringRequired

Access token

Example: eyJhbGciOiJIUzI1...
Responses
200

Success

application/json
uidstringRequired

Bot user ID

Example: n6JS8min1QfFv7we6olRGnnXeGU2
appIdinteger · min: 1Required

Application ID

Example: 1
expiryinteger · min: 1Required

Milliseconds since epoch

Example: 1680516804008
orgIdinteger · min: 1Required

Organization ID

Example: 1
400

Invalid token / Token expired / Error validating token

No content

500

Internal server error

No content

post/application/tokeninfo
POST /application/tokeninfo HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "token": "eyJhbGciOiJIUzI1..."
}
{
  "uid": "n6JS8min1QfFv7we6olRGnnXeGU2",
  "appId": 1,
  "expiry": 1680516804008,
  "orgId": 1
}

API Reference

Your complete guide to Unifize’s public API.

This section provides detailed documentation for working with Unifize’s core API endpoints. Use it to programmatically manage applications, processes, records, and data fields—whether you’re integrating Unifize with internal tools or building custom workflows.

Use this section as your go-to resource for building reliable, scalable integrations with Unifize. Each endpoint includes supported methods, parameters, and sample responses to help you develop confidently.

Records

Explore Endpoints

Applications

Manage third-party apps that authenticate and interact with the Unifize API.

Processes

Retrieve metadata about configured processes and their structure.

Records

Create, update, or fetch records tied to specific processes.

Field Values

Get and post data to specific checklist fields within a record.

get
Responses
200

Success

application/json
messagenullRequired

Message

Example: Message
ownerstringRequired

Owner UUID

Example: <uuid>
updatedAtstringRequired

Updated at timestamp

Example: 2024-01-04T06:39:58.231Z
whitelistedGroupsnullRequired

Whitelisted groups

Example: example
lastMessagenullRequired

Last message

Example: Last
versionCountintegerRequired

Version count

Example: 1
prioritystringRequired

Priority

Example: normal
statusTitlestringRequired

Status title

Example: Pending
privacystringRequired

Privacy

Example: none
agenumberRequired

Age

Example: 24.9
createdAtstringRequired

Created at timestamp

Example: 2024-01-04T06:39:58.141Z
membersstring[]Required

List of members in the chatroom

Example: ["<uuid1>","<uuid2>"]
parentnullRequired

Parent

Example: parent
countintegerRequired

Count of related conversations

Example: 0
parentintegerRequired

Parent of related conversations

Example: 25
childreninteger[]Optional

Children of related conversations

Example: [12,34]
fosterParentsinteger[]Optional

Foster parents of related conversations

Example: [11,21]
fosterChildreninteger[]Optional

Foster children of related conversations

Example: [13,47]
whitelistnullRequired

Whitelist

idintegerRequired

ID

Example: 181
privacySettingsnullRequired

Privacy settings

Example: settings
countintegerRequired

Count

Example: 0
completedAtnullRequired

Completed at timestamp

Example: <TIME>
originSeqNointegerRequired

Origin sequence number

Example: 46
creatorstringRequired

Creator UUID

Example: <uuid>
originChatroomIdintegerRequired

Origin chatroom ID

Example: 11
remindersnullRequired

Reminders

currentVersionbooleanRequired

Current version

Example: true
autoNostringRequired

Auto number

Example: 46
archivednullRequired

Archived

Example: true
seqNointegerRequired

Sequence number

Example: 46
addressstringRequired

Address

Example: 75E4R6EQM
derivedTitlestringRequired

Derived title

Example: Approval Test #46: title
statusintegerRequired

Status

Example: -1
processWhitelistGroupsnullRequired

Process whitelist groups

Example: example
versionCommentnullRequired

Version comment

Example: example
lastMessageAuthorstringRequired

Last message author

Example: unibot
processTitlestringRequired

Process title

Example: Approval Test
titlestringRequired

Title

Example: TItle
typestringRequired

Type

Example: workflow
childCountintegerRequired

Child count

Example: 0
versionintegerRequired

Version

Example: 1
metanullRequired

Meta

Example: example
completedBynullRequired

Completed by

Example: <uuid>
memberCountintegerRequired

Member count

Example: 1
dueDatenullRequired

Due date

activebooleanRequired

Active

Example: true
templateIdintegerRequired

Template ID

Example: 33
outcomenullRequired

Outcome

Example: example
breadcrumbsnullRequired

Breadcrumbs

Example: example
orgIdintegerRequired

Organization ID

Example: 1
processWhitelistnullRequired

Process whitelist

Example: example
descriptionstringRequired

Description

Example: description
cancelednullRequired

Canceled

Example: false
401

Authentication / Authorization error

application/json
errorstringRequired
404

Not Found

application/json
stringOptional
500

Internal server error

application/json
errorstringRequired
get/chatroom
GET /chatroom HTTP/1.1
Accept: */*
[
  {
    "message": "Message",
    "owner": "<uuid>",
    "updatedAt": "2024-01-04T06:39:58.231Z",
    "whitelistedGroups": "example",
    "lastMessage": "Last",
    "versionCount": 1,
    "priority": "normal",
    "statusTitle": "Pending",
    "privacy": "none",
    "age": 24.9,
    "createdAt": "2024-01-04T06:39:58.141Z",
    "members": [
      "<uuid1>",
      "<uuid2>"
    ],
    "parent": "parent",
    "relatedConversations": {
      "count": 0,
      "parent": 25,
      "children": [
        12,
        34
      ],
      "fosterParents": [
        11,
        21
      ],
      "fosterChildren": [
        13,
        47
      ]
    },
    "whitelist": null,
    "id": 181,
    "privacySettings": "settings",
    "count": 0,
    "completedAt": "<TIME>",
    "originSeqNo": 46,
    "creator": "<uuid>",
    "originChatroomId": 11,
    "reminders": null,
    "currentVersion": true,
    "autoNo": "46",
    "archived": true,
    "seqNo": 46,
    "address": "75E4R6EQM",
    "derivedTitle": "Approval Test #46: title",
    "status": -1,
    "processWhitelistGroups": "example",
    "versionComment": "example",
    "lastMessageAuthor": "unibot",
    "processTitle": "Approval Test",
    "title": "TItle",
    "type": "workflow",
    "childCount": 0,
    "version": 1,
    "meta": "example",
    "completedBy": "<uuid>",
    "memberCount": 1,
    "dueDate": null,
    "active": true,
    "templateId": 33,
    "outcome": "example",
    "breadcrumbs": "example",
    "orgId": 1,
    "processWhitelist": "example",
    "description": "description",
    "canceled": false
  }
]
get
Path parameters
idintegerRequired

ID of the chatroom

Example: 12
Responses
200

Success

application/json
messagenullRequired

Message

Example: Message
ownerstringRequired

Owner UUID

Example: <uuid>
updatedAtstringRequired

Updated at timestamp

Example: 2024-01-04T06:39:58.231Z
whitelistedGroupsnullRequired

Whitelisted groups

Example: example
lastMessagenullRequired

Last message

Example: Last
versionCountintegerRequired

Version count

Example: 1
prioritystringRequired

Priority

Example: normal
statusTitlestringRequired

Status title

Example: Pending
privacystringRequired

Privacy

Example: none
agenumberRequired

Age

Example: 24.9
createdAtstringRequired

Created at timestamp

Example: 2024-01-04T06:39:58.141Z
membersstring[]Required

List of members in the chatroom

Example: ["<uuid1>","<uuid2>"]
parentnullRequired

Parent

Example: parent
countintegerRequired

Count of related conversations

Example: 0
parentintegerRequired

Parent of related conversations

Example: 25
childreninteger[]Optional

Children of related conversations

Example: [12,34]
fosterParentsinteger[]Optional

Foster parents of related conversations

Example: [11,21]
fosterChildreninteger[]Optional

Foster children of related conversations

Example: [13,47]
whitelistnullRequired

Whitelist

idintegerRequired

ID

Example: 181
privacySettingsnullRequired

Privacy settings

Example: settings
countintegerRequired

Count

Example: 0
completedAtnullRequired

Completed at timestamp

Example: <TIME>
originSeqNointegerRequired

Origin sequence number

Example: 46
creatorstringRequired

Creator UUID

Example: <uuid>
originChatroomIdintegerRequired

Origin chatroom ID

Example: 11
remindersnullRequired

Reminders

currentVersionbooleanRequired

Current version

Example: true
autoNostringRequired

Auto number

Example: 46
archivednullRequired

Archived

Example: true
seqNointegerRequired

Sequence number

Example: 46
addressstringRequired

Address

Example: 75E4R6EQM
derivedTitlestringRequired

Derived title

Example: Approval Test #46: title
statusintegerRequired

Status

Example: -1
processWhitelistGroupsnullRequired

Process whitelist groups

Example: example
versionCommentnullRequired

Version comment

Example: example
lastMessageAuthorstringRequired

Last message author

Example: unibot
processTitlestringRequired

Process title

Example: Approval Test
titlestringRequired

Title

Example: TItle
typestringRequired

Type

Example: workflow
childCountintegerRequired

Child count

Example: 0
versionintegerRequired

Version

Example: 1
metanullRequired

Meta

Example: example
completedBynullRequired

Completed by

Example: <uuid>
memberCountintegerRequired

Member count

Example: 1
dueDatenullRequired

Due date

activebooleanRequired

Active

Example: true
templateIdintegerRequired

Template ID

Example: 33
outcomenullRequired

Outcome

Example: example
breadcrumbsnullRequired

Breadcrumbs

Example: example
orgIdintegerRequired

Organization ID

Example: 1
processWhitelistnullRequired

Process whitelist

Example: example
descriptionstringRequired

Description

Example: description
cancelednullRequired

Canceled

Example: false
401

Authentication / Authorization error

application/json
errorstringRequired
404

Not Found

application/json
stringOptional
500

Internal server error

application/json
errorstringRequired
get/chatroom/{id}
GET /chatroom/{id} HTTP/1.1
Accept: */*
{
  "message": "Message",
  "owner": "<uuid>",
  "updatedAt": "2024-01-04T06:39:58.231Z",
  "whitelistedGroups": "example",
  "lastMessage": "Last",
  "versionCount": 1,
  "priority": "normal",
  "statusTitle": "Pending",
  "privacy": "none",
  "age": 24.9,
  "createdAt": "2024-01-04T06:39:58.141Z",
  "members": [
    "<uuid1>",
    "<uuid2>"
  ],
  "parent": "parent",
  "relatedConversations": {
    "count": 0,
    "parent": 25,
    "children": [
      12,
      34
    ],
    "fosterParents": [
      11,
      21
    ],
    "fosterChildren": [
      13,
      47
    ]
  },
  "whitelist": null,
  "id": 181,
  "privacySettings": "settings",
  "count": 0,
  "completedAt": "<TIME>",
  "originSeqNo": 46,
  "creator": "<uuid>",
  "originChatroomId": 11,
  "reminders": null,
  "currentVersion": true,
  "autoNo": "46",
  "archived": true,
  "seqNo": 46,
  "address": "75E4R6EQM",
  "derivedTitle": "Approval Test #46: title",
  "status": -1,
  "processWhitelistGroups": "example",
  "versionComment": "example",
  "lastMessageAuthor": "unibot",
  "processTitle": "Approval Test",
  "title": "TItle",
  "type": "workflow",
  "childCount": 0,
  "version": 1,
  "meta": "example",
  "completedBy": "<uuid>",
  "memberCount": 1,
  "dueDate": null,
  "active": true,
  "templateId": 33,
  "outcome": "example",
  "breadcrumbs": "example",
  "orgId": 1,
  "processWhitelist": "example",
  "description": "description",
  "canceled": false
}
post
Body
titlestringOptional

Title

Example: Purchase
typestringOptional

Type

Example: workflow
ownerstringOptional

User ID of the owner

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
membersstring[]Optional

List of user IDs

Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42"]
groupsinteger[]Optional

List of group IDs

Example: [26]
templateIdintegerRequired

ID of the process

Example: 33
descriptionstringOptional

Description

Example: For purchase order
privacystringOptional

Privacy

Example: none
Responses
200

Success

application/json
messagestringRequired

Message

Example: Message
departmentNamestringRequired

Department name

Example: Engineer
departmentintegerRequired

Department ID

Example: 22
orgRolestringRequired

Organization role

Example: admin
lastLoginstringRequired

Last login timestamp

Example: 2024-02-02T04:17:21.859Z
displayNamestringRequired

Display name

Example: Abrar Ahmed
emailstringRequired

Email address

Example: abrar.ahmed@unifize.com
emailVerifiedbooleanRequired

Flag indicating if the email is verified

Example: true
uidstringRequired

User ID

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
joinDatestringRequired

Join date

Example: 2023-06-11
passwordNotSetbooleanRequired

Flag indicating if the password is not set

Example: false
inviteDatestringRequired

Invite date

Example: 2023-06-11
orgRoleIdintegerRequired

Organization role ID

Example: 2
phoneNumberstringRequired

Phone number

Example: 9999988888
photoUrlstringRequired

URL of the photo

Example: <url>
disabledbooleanRequired

Flag indicating if the user is disabled

Example: false
orgIdintegerRequired

Organization ID

Example: 1
invitePendingbooleanRequired

Flag indicating if the invite is pending

Example: false
updatedAtstringRequired

Date and time when the record was last updated

Example: 2024-02-02T04:29:09.335Z
whitelistedGroupsstring[]Required

List of whitelisted groups

Example: ["Group1","Group2"]
lastMessagestringRequired

Last message content

Example: Completed
versionCountintegerRequired

Version count

Example: 1
prioritystringRequired

Priority level

Example: normal
statusTitlestringRequired

Status title

Example: Pending
privacystringRequired

Privacy setting

Example: none
agenumberRequired

Age value

Example: 0
createdAtstringRequired

Date and time when the record was created

Example: 2024-02-02T04:29:09.182Z
departmentNamestringRequired

Department name

Example: Engineer
departmentintegerRequired

Department ID

Example: 22
orgRolestringRequired

Organization role

Example: admin
lastLoginstringRequired

Last login timestamp

Example: 2024-02-02T04:17:21.859Z
displayNamestringRequired

Display name

Example: Abrar Ahmed
emailstringRequired

Email address

Example: abrar.ahmed@unifize.com
emailVerifiedbooleanRequired

Flag indicating if the email is verified

Example: true
uidstringRequired

User ID

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
joinDatestringRequired

Join date

Example: 2023-06-11
passwordNotSetbooleanRequired

Flag indicating if the password is not set

Example: false
inviteDatestringRequired

Invite date

Example: 2023-06-11
orgRoleIdintegerRequired

Organization role ID

Example: 2
phoneNumberstringRequired

Phone number

Example: 9999988888
photoUrlstringRequired

URL of the photo

Example: <url>
disabledbooleanRequired

Flag indicating if the user is disabled

Example: false
orgIdintegerRequired

Organization ID

Example: 1
invitePendingbooleanRequired

Flag indicating if the invite is pending

Example: false
parentintegerRequired

Parent ID

Example: 11
countintegerRequired

Count of related conversations

Example: 1
parentintegerRequired

Parent ID

Example: 12
childreninteger[]Required

List of children IDs

Example: [12,33]
fosterParentsinteger[]Required

List of foster parent IDs

Example: [11,31]
fosterChildreninteger[]Required

List of foster children IDs

Example: [12,33]
whiteliststring[]Required

List of whitelisted entities

Example: ["UID1","UID2"]
idintegerRequired

ID

Example: 208
descriptionstringRequired

File description

Example: New file
fileIdintegerRequired

File ID

Example: 20
privacySettingsobjectRequired

Privacy settings

countintegerRequired

Count value

Example: 0
completedAtstringRequired

Date and time when the chatroom was completed

Example: 2024-02-02T04:17:21.859Z
originSeqNointegerRequired

Origin sequence number

Example: 61
creatorstringRequired

Creator ID

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
originChatroomIdintegerRequired

Origin chatroom ID

Example: 11
remindersobjectRequired

Reminders information

currentVersionbooleanRequired

Flag indicating if it is the current version

Example: true
autoNostringRequired

Auto number

Example: 61
archivedbooleanRequired

Flag indicating if the chatroom is archived

Example: false
seqNointegerRequired

Sequence number

Example: 61
addressstringRequired

Address

Example: Y1GW0PGZK
derivedTitlestringRequired

Derived title

Example: Approval Test #61: New-chatroom
statusintegerRequired

Status

Example: -1
idintegerRequired

Checklist ID

Example: 45
processWhitelistGroupsstring[]Required

List of process whitelist groups

versionCommentstringRequired

Version comment

Example: Comment
lastMessageAuthorstringRequired

Last message author

Example: unibot
processTitlestringRequired

Process title

Example: Approval Test
titlestringRequired

Title

Example: New-chatroom
typestringRequired

Type

Example: workflow
childCountintegerRequired

Child count value

Example: 0
processOwnersstring[]Required

List of process owners

versionintegerRequired

Version value

Example: 1
metastringRequired

Meta information

Example: Meta Information
completedBystringRequired

Completed by information

Example: UID
memberCountintegerRequired

Member count value

Example: 2
dueDatestringRequired

Due date

Example: 2023-01-22
activebooleanRequired

Flag indicating if the chatroom is active

Example: true
groupMembersobjectRequired

Group members information

templateIdintegerRequired

Template ID

Example: 33
outcomestringRequired

List of outcome entities

breadcrumbsstringRequired

List of breadcrumb entities

groupsstring[]Required

List of group IDs

orgIdintegerRequired

Organization ID

Example: 1
processWhiteliststring[]Required

List of process whitelist entities

descriptionstringRequired

Description

canceledbooleanRequired

Flag indicating if the record is canceled

Example: false
401

Authentication / Authorization error

application/json
errorstringRequired
404

Not Found

application/json
stringOptional
500

Internal server error

application/json
errorstringRequired
post/chatroom
POST /chatroom HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "title": "Purchase",
  "type": "workflow",
  "owner": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
  "members": [
    "Q79THCOJ5CcvWRMPeIVZiq1ezu42"
  ],
  "groups": [
    26
  ],
  "templateId": 33,
  "description": "For purchase order",
  "privacy": "none"
}
{
  "message": "Message",
  "owner": {
    "departmentName": "Engineer",
    "department": 22,
    "orgRole": "admin",
    "lastLogin": "2024-02-02T04:17:21.859Z",
    "displayName": "Abrar Ahmed",
    "email": "abrar.ahmed@unifize.com",
    "emailVerified": true,
    "uid": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
    "joinDate": "2023-06-11",
    "passwordNotSet": false,
    "inviteDate": "2023-06-11",
    "orgRoleId": 2,
    "phoneNumber": "9999988888",
    "photoUrl": "<url>",
    "disabled": false,
    "orgId": 1,
    "invitePending": false
  },
  "updatedAt": "2024-02-02T04:29:09.335Z",
  "whitelistedGroups": [
    "Group1",
    "Group2"
  ],
  "lastMessage": "Completed",
  "versionCount": 1,
  "priority": "normal",
  "statusTitle": "Pending",
  "privacy": "none",
  "age": 0,
  "createdAt": "2024-02-02T04:29:09.182Z",
  "members": [
    {
      "departmentName": "Engineer",
      "department": 22,
      "orgRole": "admin",
      "lastLogin": "2024-02-02T04:17:21.859Z",
      "displayName": "Abrar Ahmed",
      "email": "abrar.ahmed@unifize.com",
      "emailVerified": true,
      "uid": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "joinDate": "2023-06-11",
      "passwordNotSet": false,
      "inviteDate": "2023-06-11",
      "orgRoleId": 2,
      "phoneNumber": "9999988888",
      "photoUrl": "<url>",
      "disabled": false,
      "orgId": 1,
      "invitePending": false
    }
  ],
  "parent": 11,
  "relatedConversations": {
    "count": 1,
    "parent": 12,
    "children": [
      12,
      33
    ],
    "fosterParents": [
      11,
      31
    ],
    "fosterChildren": [
      12,
      33
    ]
  },
  "whitelist": [
    "UID1",
    "UID2"
  ],
  "id": 208,
  "files": [
    {
      "description": "New file",
      "fileId": 20
    }
  ],
  "privacySettings": {},
  "count": 0,
  "completedAt": "2024-02-02T04:17:21.859Z",
  "originSeqNo": 61,
  "creator": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
  "originChatroomId": 11,
  "reminders": {},
  "currentVersion": true,
  "autoNo": "61",
  "archived": false,
  "seqNo": 61,
  "address": "Y1GW0PGZK",
  "derivedTitle": "Approval Test #61: New-chatroom",
  "status": -1,
  "checklists": [
    {
      "id": 45
    }
  ],
  "processWhitelistGroups": [
    "text"
  ],
  "versionComment": "Comment",
  "lastMessageAuthor": "unibot",
  "processTitle": "Approval Test",
  "title": "New-chatroom",
  "type": "workflow",
  "childCount": 0,
  "processOwners": [
    "text"
  ],
  "version": 1,
  "meta": "Meta Information",
  "completedBy": "UID",
  "memberCount": 2,
  "dueDate": "2023-01-22",
  "active": true,
  "groupMembers": {},
  "templateId": 33,
  "outcome": "text",
  "breadcrumbs": "text",
  "groups": [
    "text"
  ],
  "orgId": 1,
  "processWhitelist": [
    "text"
  ],
  "description": "text",
  "canceled": false
}
patch
Path parameters
idintegerRequired

ID

Example: 12
Body
titlestringOptional

Title

Example: Andromeda
due-datestringOptional

Due date as an ISO timestamp

Example: 2025-02-27T18:30:00.000Z
ownerstringOptional

User ID

Example: Q79THCOJWRMPeIVZiq1e42
descriptionstringOptional

Description

Example: abc
parentintegerOptional

Parent ID

Example: 10
prioritystringOptional

Priority

Example: high
privacystringOptional

Privacy

Example: content
statusintegerOptional

Status ID

Example: -2
commentstringOptional

Additional comment (used when updating the status)

Example: Completed
archivedbooleanOptional

Archive record

Example: true
remindersbooleanOptional

Toggle reminders

Example: true
unreadbooleanOptional

Clear unread count for user (use false to clear)

Example: false
currentVersionbooleanOptional

Mark as current revision

Example: true
versionCommentstringOptional

Adds comment when marking as current

Example: This is the new version!
Responses
200

Success

application/json
messagestringRequired

Message

Example: Message
departmentNamestringRequired

Department name

Example: Engineer
departmentintegerRequired

Department ID

Example: 22
orgRolestringRequired

Organization role

Example: admin
lastLoginstringRequired

Last login timestamp

Example: 2024-02-02T04:17:21.859Z
displayNamestringRequired

Display name

Example: Abrar Ahmed
emailstringRequired

Email address

Example: abrar.ahmed@unifize.com
emailVerifiedbooleanRequired

Flag indicating if the email is verified

Example: true
uidstringRequired

User ID

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
joinDatestringRequired

Join date

Example: 2023-06-11
passwordNotSetbooleanRequired

Flag indicating if the password is not set

Example: false
inviteDatestringRequired

Invite date

Example: 2023-06-11
orgRoleIdintegerRequired

Organization role ID

Example: 2
phoneNumberstringRequired

Phone number

Example: 9999988888
photoUrlstringRequired

URL of the photo

Example: <url>
disabledbooleanRequired

Flag indicating if the user is disabled

Example: false
orgIdintegerRequired

Organization ID

Example: 1
invitePendingbooleanRequired

Flag indicating if the invite is pending

Example: false
updatedAtstringRequired

Date and time when the record was last updated

Example: 2024-02-02T04:29:09.335Z
whitelistedGroupsstring[]Required

List of whitelisted groups

Example: ["Group1","Group2"]
lastMessagestringRequired

Last message content

Example: Completed
versionCountintegerRequired

Version count

Example: 1
prioritystringRequired

Priority level

Example: normal
statusTitlestringRequired

Status title

Example: Pending
privacystringRequired

Privacy setting

Example: none
agenumberRequired

Age value

Example: 0
createdAtstringRequired

Date and time when the record was created

Example: 2024-02-02T04:29:09.182Z
departmentNamestringRequired

Department name

Example: Engineer
departmentintegerRequired

Department ID

Example: 22
orgRolestringRequired

Organization role

Example: admin
lastLoginstringRequired

Last login timestamp

Example: 2024-02-02T04:17:21.859Z
displayNamestringRequired

Display name

Example: Abrar Ahmed
emailstringRequired

Email address

Example: abrar.ahmed@unifize.com
emailVerifiedbooleanRequired

Flag indicating if the email is verified

Example: true
uidstringRequired

User ID

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
joinDatestringRequired

Join date

Example: 2023-06-11
passwordNotSetbooleanRequired

Flag indicating if the password is not set

Example: false
inviteDatestringRequired

Invite date

Example: 2023-06-11
orgRoleIdintegerRequired

Organization role ID

Example: 2
phoneNumberstringRequired

Phone number

Example: 9999988888
photoUrlstringRequired

URL of the photo

Example: <url>
disabledbooleanRequired

Flag indicating if the user is disabled

Example: false
orgIdintegerRequired

Organization ID

Example: 1
invitePendingbooleanRequired

Flag indicating if the invite is pending

Example: false
parentintegerRequired

Parent ID

Example: 11
countintegerRequired

Count of related conversations

Example: 1
parentintegerRequired

Parent ID

Example: 12
childreninteger[]Required

List of children IDs

Example: [12,33]
fosterParentsinteger[]Required

List of foster parent IDs

Example: [11,31]
fosterChildreninteger[]Required

List of foster children IDs

Example: [12,33]
whiteliststring[]Required

List of whitelisted entities

Example: ["UID1","UID2"]
idintegerRequired

ID

Example: 208
descriptionstringRequired

File description

Example: New file
fileIdintegerRequired

File ID

Example: 20
privacySettingsobjectRequired

Privacy settings

countintegerRequired

Count value

Example: 0
completedAtstringRequired

Date and time when the chatroom was completed

Example: 2024-02-02T04:17:21.859Z
originSeqNointegerRequired

Origin sequence number

Example: 61
creatorstringRequired

Creator ID

Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
originChatroomIdintegerRequired

Origin chatroom ID

Example: 11
remindersobjectRequired

Reminders information

currentVersionbooleanRequired

Flag indicating if it is the current version

Example: true
autoNostringRequired

Auto number

Example: 61
archivedbooleanRequired

Flag indicating if the chatroom is archived

Example: false
seqNointegerRequired

Sequence number

Example: 61
addressstringRequired

Address

Example: Y1GW0PGZK
derivedTitlestringRequired

Derived title

Example: Approval Test #61: New-chatroom
statusintegerRequired

Status

Example: -1
idintegerRequired

Checklist ID

Example: 45
processWhitelistGroupsstring[]Required

List of process whitelist groups

versionCommentstringRequired

Version comment

Example: Comment
lastMessageAuthorstringRequired

Last message author

Example: unibot
processTitlestringRequired

Process title

Example: Approval Test
titlestringRequired

Title

Example: New-chatroom
typestringRequired

Type

Example: workflow
childCountintegerRequired

Child count value

Example: 0
processOwnersstring[]Required

List of process owners

versionintegerRequired

Version value

Example: 1
metastringRequired

Meta information

Example: Meta Information
completedBystringRequired

Completed by information

Example: UID
memberCountintegerRequired

Member count value

Example: 2
dueDatestringRequired

Due date

Example: 2023-01-22
activebooleanRequired

Flag indicating if the chatroom is active

Example: true
groupMembersobjectRequired

Group members information

templateIdintegerRequired

Template ID

Example: 33
outcomestringRequired

List of outcome entities

breadcrumbsstringRequired

List of breadcrumb entities

groupsstring[]Required

List of group IDs

orgIdintegerRequired

Organization ID

Example: 1
processWhiteliststring[]Required

List of process whitelist entities

descriptionstringRequired

Description

canceledbooleanRequired

Flag indicating if the record is canceled

Example: false
401

Authentication / Authorization error

application/json
errorstringRequired
404

Not Found

application/json
stringOptional
500

Internal server error

application/json
errorstringRequired
patch/chatroom/{id}
PATCH /chatroom/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 310

{
  "title": "Andromeda",
  "due-date": "2025-02-27T18:30:00.000Z",
  "owner": "Q79THCOJWRMPeIVZiq1e42",
  "description": "abc",
  "parent": 10,
  "priority": "high",
  "privacy": "content",
  "status": -2,
  "comment": "Completed",
  "archived": true,
  "reminders": true,
  "unread": false,
  "currentVersion": true,
  "versionComment": "This is the new version!"
}
{
  "message": "Message",
  "owner": {
    "departmentName": "Engineer",
    "department": 22,
    "orgRole": "admin",
    "lastLogin": "2024-02-02T04:17:21.859Z",
    "displayName": "Abrar Ahmed",
    "email": "abrar.ahmed@unifize.com",
    "emailVerified": true,
    "uid": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
    "joinDate": "2023-06-11",
    "passwordNotSet": false,
    "inviteDate": "2023-06-11",
    "orgRoleId": 2,
    "phoneNumber": "9999988888",
    "photoUrl": "<url>",
    "disabled": false,
    "orgId": 1,
    "invitePending": false
  },
  "updatedAt": "2024-02-02T04:29:09.335Z",
  "whitelistedGroups": [
    "Group1",
    "Group2"
  ],
  "lastMessage": "Completed",
  "versionCount": 1,
  "priority": "normal",
  "statusTitle": "Pending",
  "privacy": "none",
  "age": 0,
  "createdAt": "2024-02-02T04:29:09.182Z",
  "members": [
    {
      "departmentName": "Engineer",
      "department": 22,
      "orgRole": "admin",
      "lastLogin": "2024-02-02T04:17:21.859Z",
      "displayName": "Abrar Ahmed",
      "email": "abrar.ahmed@unifize.com",
      "emailVerified": true,
      "uid": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "joinDate": "2023-06-11",
      "passwordNotSet": false,
      "inviteDate": "2023-06-11",
      "orgRoleId": 2,
      "phoneNumber": "9999988888",
      "photoUrl": "<url>",
      "disabled": false,
      "orgId": 1,
      "invitePending": false
    }
  ],
  "parent": 11,
  "relatedConversations": {
    "count": 1,
    "parent": 12,
    "children": [
      12,
      33
    ],
    "fosterParents": [
      11,
      31
    ],
    "fosterChildren": [
      12,
      33
    ]
  },
  "whitelist": [
    "UID1",
    "UID2"
  ],
  "id": 208,
  "files": [
    {
      "description": "New file",
      "fileId": 20
    }
  ],
  "privacySettings": {},
  "count": 0,
  "completedAt": "2024-02-02T04:17:21.859Z",
  "originSeqNo": 61,
  "creator": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
  "originChatroomId": 11,
  "reminders": {},
  "currentVersion": true,
  "autoNo": "61",
  "archived": false,
  "seqNo": 61,
  "address": "Y1GW0PGZK",
  "derivedTitle": "Approval Test #61: New-chatroom",
  "status": -1,
  "checklists": [
    {
      "id": 45
    }
  ],
  "processWhitelistGroups": [
    "text"
  ],
  "versionComment": "Comment",
  "lastMessageAuthor": "unibot",
  "processTitle": "Approval Test",
  "title": "New-chatroom",
  "type": "workflow",
  "childCount": 0,
  "processOwners": [
    "text"
  ],
  "version": 1,
  "meta": "Meta Information",
  "completedBy": "UID",
  "memberCount": 2,
  "dueDate": "2023-01-22",
  "active": true,
  "groupMembers": {},
  "templateId": 33,
  "outcome": "text",
  "breadcrumbs": "text",
  "groups": [
    "text"
  ],
  "orgId": 1,
  "processWhitelist": [
    "text"
  ],
  "description": "text",
  "canceled": false
}

Get all records

Get record

Create record

Update record

Field values

Examples

The examples below will take you through filling in the checklist of your record, for all kinds of checklists fields.

Text field

Filling text

Use the Create field value API.

The value attribute is a plaintext string.

{
    "value": "Some text"
}

Modifying text

Follow the same instructions as Field values to overwrite existing text.

Clear text

To clear all text, use the Create field value API and set the value attribute to an empty string.

{
    "value": ""
}

Number field

Filling a number

Use the Create field value API.

The value attribute is a numerical value.

{
    "value": 10
}

Updating number

Follow the same instructions as to overwrite the existing number.

To delete the number, use the API and set the value attribute to null.

Use the API.

The value attribute is either a string or an array of strings.

Follow the same instructions as to overwrite the existing option(s).

To delete all the options, use the API and set the value attribute to [] or null.

Use the API.

The value attribute is a date as a string, in the format yyyy-mm-dd.

Follow the same instructions as to overwrite the existing date.

To delete the date, use the API and set the value attribute to null.

Use the API. The value attribute is a JSON object or an array of JSON objects, representing either a user or a group.

Alternatively, you can use the API and specify a single user or group instead of all of them. This will effectively append a value to the existing values instead of overwriting them.

Use the API. The value attribute is a JSON object representing the user or group you wish to delete

Use the API.

You must first upload your file using the Upload file API. Then, you can attach it to the checklist using the file id and version id.

Use the API and set the value attribute to [] or null to delete all the files from the checklist field.

Alternatively, use the API to delete a single file from the checklist field.

Use the API. You do not need to send anything in the payload to generate the PDF.

Use the API. When creating a revision, you can specify the following options:

  • A comment (revision notes)

  • Data to copy over

    • Metadata

    • Checklist field values

Use the API. When requesting an approval, you can specify users and groups that can sign the approval.

Use the API. When signing, you can specify the following options:

  • Whether to use a custom signature or the default one

  • Whether to approve or reject

  • A comment

  • Your email and password

Use the API and set the revision attribute to true.

Use the API. The value attribute would match the payload used in the API.

To add more values, the same API can be used. It will not overwrite existing values.

Use the API. The value attribute is an array of record ID's. This will overwrite any existing records present in the field.

Alternatively, you can use the API and specify a single record ID. This will "append" a value to the existing values, without overwriting them.

To delete all the values, use the API and set the value attribute to null or [].

To delete a single value, use the API and specify the value to be deleted in the payload.

Use the API. The value attribute would match the payload used in the API.

Use the API. The value attribute is an array of objects. This will overwrite any existing records present in the field.

Alternatively, you can use the API and specify a single record ID. This will "append" a value to the existing values, without overwriting them.

If you set linkAllVersions to true in and , all of the revisions of the linked record will also be automatically linked.

To link only a specific revision, you can remove that attribute from the payload.

To delete a single value, use the API and specify the value to be deleted in the payload.

Use the API and specify the form template id.

See the above examples on how to fill the different types of fields.

Filling them when they are inside a form is exactly the same, but you will need to specify the formId query parameter when calling any of the APIs.

Use the API and specify the form instance ID in the payload.

Clearing number

Picklist field

Filling an option

Deleting option

Clearing options

Date field

Filling a date

Updating date

Clearing date

User field

Filling a user/group

Deleting a user/group

File field

Attaching a file

Removing file(s)

PDF field

Revision field

Approval field

Requesting an Approval (Adhoc)

Signing an Approval

Canceling an Approval

Conversation field (Parent/Child)

Create new record

Select existing record

Delete conversation

Linked field

Create new record

Select existing record

Linking specific record revisions

Delete record

Form field

Creating a form instance

Filling/updating/deleting a field value inside a form

The responses of Update field value and Get field value APIs for a form field will include two identifiers which might be confusing to distinguish.

  • templateId This is the ID of the form template. It will remain constant throughout the form instances, across chatrooms. This is the ID you should use when creating a form instance.

  • id This is the ID of the unique, individual form instance. This is the ID you should use when filling a field inside a form.

Deleting a form instance

Create field value
Create field value
Create field value
Create field value
Create field value
Create field value
Update field value
Delete field value
Update field value
Create field value
Delete field value
Create field value
Create field value
Create field value
Create field value
Create field value
Create field value
Create record
Create field value
Update field value
Create field value
Delete field value
Update field value
Create record
Create field value
Update field value
Delete field value
Update field value
Delete field value
Filling a number
Filling an option
Filling a date
Create new record
Select existing record

Get field value

get
Path parameters
idintegerRequired

ID of the chatroom

Example: 25
fidintegerRequired

ID of the checklist field

Example: 3
Responses
200

Success

application/json
fieldIdintegerRequired

Field ID

Example: 25
fieldTypestringRequired

Field type

Example: text
attrsstringRequired

Attributes of the Checklist field

Example: {"~#text":{"label":"Any text","autoCheck":false,"settings":"{\"multiline\":true}"}}
targetbooleanRequired

Flag indicating if it's a target

Example: false
typestringRequired

Attributes of the Checklist field

Example: {"~#text":{"label":"Any text","autoCheck":false,"settings":"{\"multiline\":true}"}}
chatroomIdintegerRequired

ID of the chatroom

Example: 91
valueanyRequired

Value of the Checklist field

Example: Quantity
typestringRequired

Type of the value

Example: text
valuestringRequired

Value of the Checklist field

Example: Quantity
get/chatroom/{id}/checklist-field/{fid}
GET /chatroom/{id}/checklist-field/{fid} HTTP/1.1
Accept: */*
200

Success

{
  "fieldId": 25,
  "fieldType": "text",
  "attrs": "{\"~#text\":{\"label\":\"Any text\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
  "target": false,
  "type": "{\"~#text\":{\"label\":\"Any text\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
  "chatroomId": 91,
  "val": {
    "value": "Quantity",
    "type": "text"
  },
  "value": "Quantity"
}

Create field value

post
Path parameters
idintegerRequired

ID of the record

Example: 25
fidintegerRequired

Field ID

Example: 3
Body
valueanyRequired

Value

Example: 22
checkedbooleanOptional

Boolean indicating if the field is checked

Example: true
Responses
200

Success

application/json
fieldIdintegerRequired

Field ID

Example: 25
fieldTypestringRequired

Field type

Example: text
attrsstringRequired

Attributes of the Checklist field

Example: {"~#text":{"label":"Any text","autoCheck":false,"settings":"{\"multiline\":true}"}}
targetbooleanRequired

Flag indicating if it's a target

Example: false
typestringRequired

Attributes of the Checklist field

Example: {"~#text":{"label":"Any text","autoCheck":false,"settings":"{\"multiline\":true}"}}
chatroomIdintegerRequired

ID of the chatroom

Example: 91
valueanyRequired

Value of the Checklist field

Example: Quantity
typestringRequired

Type of the value

Example: text
valuestringRequired

Value of the Checklist field

Example: Quantity
post/chatroom/{id}/checklist-field/{fid}
POST /chatroom/{id}/checklist-field/{fid} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "value": 22,
  "checked": true
}
200

Success

{
  "fieldId": 25,
  "fieldType": "text",
  "attrs": "{\"~#text\":{\"label\":\"Any text\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
  "target": false,
  "type": "{\"~#text\":{\"label\":\"Any text\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
  "chatroomId": 91,
  "val": {
    "value": "Quantity",
    "type": "text"
  },
  "value": "Quantity"
}

Update field value

patch
Path parameters
idintegerRequired

ID of the record

Example: 25
fidintegerRequired

Field ID

Example: 3
Body
valueanyRequired

Value

Example: 22
checkedbooleanOptional

Boolean indicating if the field is checked

Example: true
Responses
200

Success

application/json
fieldIdintegerRequired

Field ID

Example: 25
fieldTypestringRequired

Field type

Example: text
attrsstringRequired

Attributes of the Checklist field

Example: {"~#text":{"label":"Any text","autoCheck":false,"settings":"{\"multiline\":true}"}}
targetbooleanRequired

Flag indicating if it's a target

Example: false
typestringRequired

Attributes of the Checklist field

Example: {"~#text":{"label":"Any text","autoCheck":false,"settings":"{\"multiline\":true}"}}
chatroomIdintegerRequired

ID of the chatroom

Example: 91
valueanyRequired

Value of the Checklist field

Example: Quantity
typestringRequired

Type of the value

Example: text
valuestringRequired

Value of the Checklist field

Example: Quantity
patch/chatroom/{id}/checklist-field/{fid}
PATCH /chatroom/{id}/checklist-field/{fid} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "value": 22,
  "checked": true
}
200

Success

{
  "fieldId": 25,
  "fieldType": "text",
  "attrs": "{\"~#text\":{\"label\":\"Any text\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
  "target": false,
  "type": "{\"~#text\":{\"label\":\"Any text\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
  "chatroomId": 91,
  "val": {
    "value": "Quantity",
    "type": "text"
  },
  "value": "Quantity"
}

Delete field value

delete
Path parameters
idintegerRequired

ID of the record

Example: 25
fidintegerRequired

Field ID

Example: 3
Responses
204

No Content

No content

delete/chatroom/{id}/checklist-field/{fid}/value
DELETE /chatroom/{id}/checklist-field/{fid}/value HTTP/1.1
Accept: */*
204

No Content

No content

{
    "value": null
}
{
    "value": ["abc","xyz"]
}
{
    "value": null
}
{
    "value": "1999-12-15"
}
{
    "value": null
}
{
  "value": [
    {
      "type": "user",
      "uid": "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
    },
    {
      "id": 1098,
      "type": "group"
    }
  ]
}
{
  "value": {
    "id": 2000,
    "type": "group"
  }
}
{
  "value": {
    "id": 1098,
    "type": "group"
  }
}
{
  "value": {
    "name": "a4e0580a-a7dd-469f-a373-a852e9efb684",
    "versionId": "7Pq5poXyVwHTJAzaEwS7ZYj9FdEXzkSi",
    "size": 124243,
    "originalName": "1280px-Giant_Panda_2.jpg",
    "folderId": null
  }
}
{
  "value": []
}
{
  "value": "a4e0580a-a7dd-469f-a373-a852e9efb684"
}
{
  "value": {
    "comment": "abc",
    "clone": {
      "metadata": [
        "title",
        "owner",
        "members",
        "dueDate",
        "files",
        "messages"
      ],
      "checklistFields": [
        340441,
        341220,
        341221,
        341222
      ]
    }
  }
}
{
  "value": {
    "requestApproval": true,
    "config": {
      "approvers": {
        "groups": [],
        "users": [
          "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
        ]
      },
      "minApprovers": 1
    }
  }
}
{
  "value": {
    "customSignature": true,
    "approved": true,
    "comment": "abc",
    "username": "abc@unifize.com",
    "password": "password"
  }
}
{
  "value": {
    "revision": true,
    "comment": "abc"
  }
}
{
  "value": {
    "title": "abc",
    "type": "workflow",
    "owner": "jA6d4gH0oMfGd90uKCrFyjMnrvt2",
    "creator": "jA6d4gH0oMfGd90uKCrFyjMnrvt2",
    "members": [
      "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
    ],
    "templateId": 16650,
    "description": "",
    "orgId": 222,
    "groups": [],
    "parent": 1453392,
    "numberingScheme": "API Docs Conv ###",
    "checklists": [],
    "privacy": "none"
  }
}
{
  "value": [
    1453412,
    1453413
  ]
}
{
  "value": 1453413
}
{
  "value": []
}
{
  "value": 1453413
}
{
  "value": {
    "chatroom": {
      "title": "abc",
      "type": "workflow",
      "owner": "jA6d4gH0oMfGd90uKCrFyjMnrvt2",
      "creator": "jA6d4gH0oMfGd90uKCrFyjMnrvt2",
      "members": [
        "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
      ],
      "templateId": 16650,
      "description": "",
      "orgId": 222,
      "groups": [],
      "parent": 1453392,
      "numberingScheme": "API Docs Conv ###",
      "checklists": [],
      "privacy": "none"
    }
  },
  "linkAllVersions": true
}
{
  "value": [
    {
      "chatroom": 1453412, 
      "linkAllVersions" true
    },
    { 
      "chatroom": 1453413, 
      "linkAllVersions" true
    }
  ]
}
{
  "value": {
    "chatroom": 1453413, 
    "linkAllVersions" true
  }
}
{
  "value": {
    "originChatroomId": 1453413
  }
}
{
  "value": {
    "templateId": 18585
  }
}
{
  "value": 235224
}

Processes

Examples

The examples below will take you through creating your first process, to customizing it, and deleting it.

Creating a blank process

Let's start by creating a blank process using the Create process API.

As a bare minimum, you need to provide the titlekey.

{
    "title": "My first process"
}

Congratulations, you have created your first process!

Adding a checklist field

A process, on its own, is not very useful. Let's add a checklist field.

Checklist fields are added/updated/removed to a process through thechecklistFieldsarray. Each element in the array represents a checklist field. The checklist field configuration is present in the attrs key, which is a encoded JSON string. To convert a JSON object to a Transit encoded JSON string, you can make use of various libraries which have implemented the Transit spec. When writing the string, ensure you use the json-verbosetype, instead of json. In the examples below, we may opt to write JSON objects for readability. You will need to convert them to Transit before making the API call.

Here are some code snippets demonstrating how to convert a JSON object to a Transit encoded string:

Using transit-js

// npm install @cognitect/transit-js

import transit from '@cognitect/transit-js';

// Create a Transit writer
const writer = transit.writer('json-verbose');

// Convert your JSON object
const jsonObject = {
  key: "value",
  number: 42,
  active: true
};

const transitString = writer.write(jsonObject);

Using transit

Using transit-java

For example, given a checklist configuration as a JSON object such as

After converting it to Transit encoded JSON string and escaping it, it should look like

which can then be used in the payload as

Available configuration

  • Label

  • Multiline

  • Placeholder

  • Default value

Available configuration

  • Label

  • Placeholder

Available configuration

  • Label

  • Default users

  • Supressing notification for default value

  • Multivalued toggle (default off)

Available configuration

  • Label

  • Placeholder

  • Max value

  • Min value

Available Configuration

  • Open by default (when status is set to)

Available Configuration

  • Label

  • Multivalued toggle

  • Show full preview toggle (only applicable to web UI)

  • Sorting by file name through name or upload date using date

Available Configuration

  • Label

  • Optional file field to attach the PDF to, instead of PDF field

  • Customize checklist behavior through preview (don't attach to checklist, attach only latest to checklist, attach all to checklist, respectively)

  • Sequence of PDFs to stitch

Available Configuration

  • Label

  • Who is authorized to create a revision

    • All the participants

    • The owner

Available Configuration

  • Label

  • Show "Request Approval" button

  • Minimum required approvers

  • Required approvers

Available Configuration

  • Label

  • Set as child or parent conversation

  • Multiselect toggle

  • Allow selecting existing conversations through select

Available Configuration

  • Label

  • Specify process and embedded fields

  • Allow linking multiple records

  • Autofill related records

Available Configuration

  • Label

  • Allow multiple

  • Specify form templates

To delete a checklist field, use the API and remove the checklist field you want to delete from the checklistFields array.

To restore a checklist field, use a combination of the and APIs.

The API should include the field you want in its response, even if it is deleted.

To restore it, set the values of deleted, deletedAt and deletedBy to null when using the API. Make sure you do not modify the rest of the checklist field object.

Supressing notification for default value
Step (only applicable to the web UI)
  • Default value

  • Supressing notification for default value

  • Minimum places to display after decimal point (only applicable to the web UI)

  • Round off if number digits entered after decimal are more than configured (default false, only applicable to web UI)

  • Default files

  • Suppressing notification for default value

  • Restrict upload sources

  • Generate from a template using PDFGeneratorAPI, specify a templateId

  • Generate from a template using Adobe, specify name (a file, which is a template)

  • Generate from a native file, specify fieldId (a file field)

  • Button text (by default Generate PDF)

  • Roles

  • Specific users

  • Groups

  • Users from a field (must be a user field)

  • Who is authorized to mark a revision current

    • All the participants (of the current revision)

    • All the participants (of the revision being marked current)

    • The owner (of the current revision)

    • The owner (of the revision being marked current)

    • Roles

    • Specific users

    • Groups

    • Users from a field (of the current revision) (must be a user field)

    • Users from a field (of the revision being marked current) (must be a user field)

    • Only when a specific status is set

  • Fields to copy

  • Navigate to new revision automatically when created (Only applicable for web UI)

  • Mandate writing comment when creating revision

  • Automations

    • On the new current revision

      • Add participants

      • Remove participants

      • Add participants to fields

      • Send message

      • Update privacy

      • Unarchive

    • On the old current revision

      • Add participants

      • Remove participants

      • Add participants to fields

  • Set to some to let anyone sign

  • Set to adhoc to dynamically choose who can sign (Will override Minimum required approvers and Show "Request Approval" button )

  • Who can approve

    • All participants

    • The owner

    • Prevent requester from approving

    • Users

    • Roles

    • Groups

    • Users in field(s) (Must be a user field)

  • Who can cancel

    • All participants

    • Approvers/signatories

    • Prevent requester from approving

    • Users

    • Roles

    • Groups

    • Users in field(s) (Must be a user field)

    • Can cancel when

      • Allow cancellation post approval (allowCancelOnApproval)

      • Allow cancelling of approvals in progress (canCancelPartialApproval)

  • Require comments

    • During approval

    • During rejection

    • During cancellation

  • Contingent of previous approval(s)

    • Hide/disable when inactive

    • Disable previous approvals while field is approved or in progress

  • Lock fields

    • When mode is set to new, fields will be locked during and post approval/rejection

    • When mode is set to inherit, fields will continue to be locked under previous approval

  • Lock status

    • On start / request of signature

    • On approval

    • On rejection

    • On cancellation

  • Cancel all contingent approvals on rejection

  • Automations

    • On start / request of signature

      • Update status

      • Add participants

      • Remove participants

      • Change owner

      • Send message

      • Update privacy

    • On approval

      • Update status

      • Add participants

      • Remove participants

    • On rejection

      • Update status

      • Add participants

      • Remove participants

    • On cancellation

      • Update status

      • Add participants

      • Remove participants

  • Allow creating new conversations through create

  • Autofill related conversation

  • Specify type of conversation

  • Process id through workflow (Only valid if type is set to "workflow")

  • Configure embedded fields (Only valid if type is set to workflow)

  • Show field names in preview

  • Show status and due date

  • Sort conversations

  • Select existing conversations by criteria

  • Show/hide archived conversations

  • Suppress title hyperlink to the record

  • Allow archived conversations
  • Show compressed preview

  • Show status, owner and due date

  • Disable title hyperlink to record

  • Set current process as child or parent

  • Allow selecting existing record

  • Allow creating new record

  • Allow manual revision linking

  • Select existing record by criteria

    • Title

  • # pip install transit
    
    import transit
    
    # Create a Transit writer
    writer = transit.writer('json-verbose')
    
    # Convert your JSON object
    json_object = {
      "key": "value",
      "number": 42,
      "active": True
    }
    
    transit_string = writer.write(json_object)
    // <dependency>
    //    <groupId>com.cognitect</groupId>
    //    <artifactId>transit-java</artifactId>
    //    <version>1.0.0</version>
    // </dependency>
    
    import cognitect.transit.TransitFactory;
    import cognitect.transit.Writer;
    
    // Create a Transit writer
    Writer writer = TransitFactory.writer(TransitFactory.Format.JSON_VERBOSE);
    
    // Convert your JSON object
    Map<String, Object> jsonObject = new HashMap<>();
    jsonObject.put("key", "value");
    jsonObject.put("number", 42);
    jsonObject.put("active", true);
    
    String transitString = writer.writeToString(jsonObject);
    {
      "text": {
        "label": "My Text Field",
        "settings": {
          "multiline": true,
          "placeholder": "FooBar",
          "defaultValue": "abc"
        }
      }
    }
    "{\"~#text\":{\"label\":\"My Text Field\",\"settings\":{\"~#text\":{\"multiline\":true,\"placeholder\":\"FooBar\",\"defaultValue\":\"abc\"}}}}"
    {
      "checklistFields": [
        {
          "attrs": "{\"~#text\":{\"label\":\"My Text Field\",\"settings\":{\"~#text\":{\"multiline\":true,\"placeholder\":\"FooBar\",\"defaultValue\":\"abc\"}}}}"
        }
      ]
    }
    {
      "text": {
        "label": "My Text Field",
        "settings": {
          "multiline": true,
          "placeholder": "FooBar",
          "defaultValue": "abc",
          "suppressDefaultNotification": false
        }
      }
    }
    {
      "date": {
        "label": "My Date Field",
        "settings": {
          "placeholder": "Click to add date"
        }
      }
    }
    {
      "user": {
        "label": "My User Field",
        "settings": {
          "users": [
            "GJuQurhdUOR9liGN1xGuACGM7pD2",
            "tOnGEe0vK7ZZ1B9798FISTPcdCz2"
          ],
          "suppressDefaultNotification": false,
          "multiple": true
        }
      }
    }
    {
      "number": {
        "label": "My Number Field",
        "settings": {
          "placeholder": "5",
          "max": 10,
          "min": 5,
          "step": 2,
          "defaultValue": 20,
          "suppressDefaultNotification": false,
          "format": {
            "decimalPlaces": 0,
            "roundOff": false
          }
        }
      }
    }
    {
      "section": {
        "label": "My Section",
        "settings": {
          "status": [10]
        }
      }
    }
    {
      "section": {
        "label": "My Subsection",
        "settings": {
          "level": 1
        }
      }
    }
    {
      "file": {
        "label": "My File Field",
        "settings": {
          "multiple": true,
          "preview": true,
          "sortBy": "name",
          "defaultFile": [],
          "suppressDefaultNotification": false,
          "uploadOptions": [
            "computer",
            "unifize"
          ],
        }
      }
    }
    {
      "pdf": {
        "label": "My PDF Field",
        "settings": {
          "targetField": 30,
          "preview": "none | latest | all",
          "pdf": [
            {
              "seqNo": 0,
              "templateId": "123"
            },
            {
              "seqNo": 1,
              "name": "e097504a-9b09-409c-90ed-16ebbbc1eadd"
            },
            {
              "seqNo": 2,
              "fieldId": 10
            }
          ],
          "buttonText": "abc"
        }
      }
    }
    {
      "revision": {
        "label": "revision",
        "settings": {
          "version": 2,
          "authorizedToCreate": {
            "allParticipants": true,
            "owner": true,
            "roles": [
              619
            ],
            "users": [
              "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
            ],
            "groups": [
              73
            ],
            "fields": [
              340443
            ]
          },
          "authorizedToMarkCurrent": {
            "allParticipants": true,
            "owner": true,
            "roles": [
              619
            ],
            "users": [
              "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
            ],
            "groups": [
              73
            ],
            "fields": [
              340443
            ],
            "statuses": [
              -2
            ],
            "allParticipantsOfCurrent": true,
            "ownerOfCurrent": true,
            "fieldsOfCurrent": [
              340443
            ]
          },
          "copyableFields": [
            340441
          ],
          "navigateToNewRevision": true,
          "commentRequired": true,
          "automations": {
            "newCurrent": [
              {
                "active": true,
                "action": "addParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "removeParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "addParticipantsFromFields",
                "data": [
                  340443
                ]
              },
              {
                "active": true,
                "action": "sendMessage",
                "data": "This is the current version now."
              },
              {
                "active": true,
                "action": "updatePrivacy",
                "data": {
                  "mode": "content",
                  "whitelistedUsers": [
                    "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                  ]
                }
              },
              {
                "active": true,
                "action": "archive",
                "data": false
              }
            ],
            "oldCurrent": [
              {
                "active": true,
                "action": "addParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "removeParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "addParticipantsFromFields",
                "data": [
                  340443
                ]
              },
              {
                "active": true,
                "action": "sendMessage",
                "data": "This is no longer the current version."
              },
              {
                "active": true,
                "action": "updatePrivacy",
                "data": {
                  "mode": "full",
                  "whitelistedUsers": [
                    "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                  ]
                }
              },
              {
                "active": true,
                "action": "updateStatus",
                "data": -2
              },
              {
                "active": true,
                "action": "archive",
                "data": true
              }
            ]
          }
        }
      }
    }
     {
      "approval": {
        "label": "approval",
        "settings": {
          "version": 2,
          "minApprovers": 1,
          "requiredApprovers": "some | adhoc",
          "showRequestApprovalButton": true,
          "approvers": {
            "allParticipants": true,
            "owner": true,
            "preventRequester": true,
            "users": [
              "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
            ],
            "roles": [
              619
            ],
            "groups": [
              73
            ],
            "fields": [
              340443
            ]
          },
          "cancellers": {
            "allParticipants": true,
            "approvers": true,
            "users": [
              "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
            ],
            "roles": [
              619
            ],
            "groups": [
              73
            ],
            "fields": [
              340443
            ]
          },
          "allowCancelOnApproval": true,
          "canCancelPartialApproval": true,
          "requireComment": true,
          "requireRejectionComment": true,
          "requireCancellationComment": true,
          "contingentApprovals": [
            340458
          ],
          "inactiveBehavior": "disable | hide",
          "canCancelContingentApprovals": true,      
          "cancelContingentApprovalsOnRejection": true,
          "lockFields": {
            "mode": "new | inherit",
            "fields": [
              340441,
              340443
            ]
          },            
          "lockStatus": {
            "onStart": true,
            "onApproval": true,
            "onCancellation": true,
            "onRejection": true
          },
          "automations": {
            "started": [
              {
                "active": true,
                "action": "updateStatus",
                "data": -2
              },
              {
                "active": true,
                "action": "addParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "removeParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "updateOwner",
                "data": "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
              },
              {
                "active": true,
                "action": "sendMessage",
                "data": "abc"
              },
              {
                "active": true,
                "action": "updatePrivacy",
                "data": {
                  "mode": "content",
                  "whitelistedUsers": [
                    "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                  ]
                }
              },
              {
                "active": false,
                "action": "markRevisionAsCurrent",
                "data": null
              }
            ],
            "approved": [
              {
                "active": true,
                "action": "updateStatus",
                "data": -2
              },
              {
                "active": true,
                "action": "addParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "removeParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "updateOwner",
                "data": "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
              },
              {
                "active": true,
                "action": "sendMessage",
                "data": "abc"
              },
              {
                "active": true,
                "action": "updatePrivacy",
                "data": {
                  "mode": "content",
                  "whitelistedUsers": [
                    "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                  ]
                }
              },
              {
                "active": true,
                "action": "markRevisionAsCurrent",
                "data": null
              }
            ],
            "rejected": [
              {
                "active": true,
                "action": "updateStatus",
                "data": -2
              },
              {
                "active": true,
                "action": "addParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "removeParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "updateOwner",
                "data": "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
              },
              {
                "active": true,
                "action": "sendMessage",
                "data": "abc"
              },
              {
                "active": true,
                "action": "updatePrivacy",
                "data": {
                  "mode": "content",
                  "whitelistedUsers": [
                    "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                  ]
                }
              },
              {
                "active": false,
                "action": "markRevisionAsCurrent",
                "data": null
              }
            ],
            "cancelled": [
              {
                "active": true,
                "action": "updateStatus",
                "data": -2
              },
              {
                "active": true,
                "action": "addParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "removeParticipants",
                "data": [
                  "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                ]
              },
              {
                "active": true,
                "action": "updateOwner",
                "data": "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
              },
              {
                "active": true,
                "action": "sendMessage",
                "data": "abc"
              },
              {
                "active": true,
                "action": "updatePrivacy",
                "data": {
                  "mode": "content",
                  "whitelistedUsers": [
                    "jA6d4gH0oMfGd90uKCrFyjMnrvt2"
                  ]
                }
              },
              {
                "active": false,
                "action": "markRevisionAsCurrent",
                "data": null
              }
            ]
          }
        }
      }
    }
    {
      "conversation": {
        "label": "My Conversation Field",
        "settings": {
          "child": true,
          "multiple": true,
          "select": true,
          "create": true,
          "autoFillRelated": true,
          "type": "group | workflow | approval | conversation | task",
          "workflow": 10,
          "fields": [50 60],
          "showFieldNames": false,
          "showMetaData": false,
          "sortBy": "added | created",
          "selectExistingBy": " | title",
          "showArchived": false,
          "disableTitleHyperlink": false
        }
      }
    }
    {
      "link": {
        "label": "linked",
        "settings": {
          "workflow": 16388,
          "fields": [
            340441
          ],
          "multiple": true,
          "autoFillRelated": true,
          "showArchived": true,      
          "showCompressedPreview": true,
          "showMetaData": true,
          "disableTitleHyperlink": true,
          "child": false,
          "select": true,
          "create": true,      
          "type": "workflow",
          "alwaysAllowManualLinks": true,
          "selectExistingBy": "title"
        }
      }
    }
    {
      "form": {
        "label": "form",
        "settings": {
          "multiple": true,
          "selectedForms": [
            6217
          ]
        }
      }
    }

    Text Field

    Date Field

    User Field

    Number Field

    Section Field

    Subsection Field

    File Field

    PDF Field

    Revision Field

    Approval Field

    Conversation Field

    Linked Field

    Form Fields

    Deleting a checklist field

    Restoring a checklist field

    Update process
    Get process
    Update process
    Get process
    Update process
    Transit
    get
    Responses
    200

    Success

    application/json
    ownerstringRequired

    Owner ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    updatedAtstringRequired

    Date and time when the data was last updated

    Example: 2024-01-11T06:07:04.182Z
    updatedBystringRequired

    ID of the user who last updated the data

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    attrsstringRequired

    Attributes information

    Example: {"~#text":{"label":"ENTER YOUR NAME","autoCheck":false,"settings":"{\"multiline\":true}"}}
    labelstringRequired

    Label for the checklist field

    Example: ENTER YOUR NAME
    multilinebooleanRequired

    Flag indicating if the field allows multiline input

    Example: true
    autoCheckbooleanRequired

    Flag indicating if auto-check is enabled for the field

    Example: false
    rolesstring[]Required

    List of roles

    usersstring[]Required

    List of users

    idintegerRequired

    ID of the checklist field

    Example: 73
    seqNointegerRequired

    Sequence number of the checklist field

    Example: 0
    deletedAtstringRequired

    Date and time when the checklist field was deleted

    Example: 2024-01-11T06:07:04.182Z
    layoutobjectRequired

    Layout information for the checklist field

    deletedBystringRequired

    ID of the user who deleted the checklist field

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    deletedbooleanRequired

    Flag indicating if the checklist field is deleted

    Example: true
    targetbooleanRequired

    Flag indicating if the checklist field is a target

    Example: false
    hiddenbooleanRequired

    Flag indicating if the checklist field is hidden

    Example: false
    fieldTypestringRequired

    Type of the checklist field

    Example: text
    privacystringRequired

    Privacy setting

    Example: none
    reminderstring[]Required

    List of reminders

    createdAtstringRequired

    Date and time when the data was created

    Example: 2023-10-10T05:52:28.348Z
    allowArchivebooleanRequired

    Flag indicating if archiving is allowed

    Example: true
    nextCountintegerRequired

    Next count value

    Example: 2
    dueInstringRequired

    Due date for the data

    Example: 2023-11-10T05:52:28.348Z
    senderNotParticipantbooleanRequired

    Flag indicating if the sender is not a participant

    Example: false
    creatorIsParticipantbooleanRequired

    Flag indicating if the creator is a participant

    Example: true
    noConfirmationbooleanRequired

    Flag indicating if no confirmation is needed

    Example: false
    creatorIsOwnerbooleanRequired

    Flag indicating if the creator is the owner

    Example: true
    hideAutoNumberbooleanRequired

    Flag indicating if auto-number should be hidden

    Example: false
    statusDisabledbooleanRequired

    Flag indicating if the status is disabled

    Example: false
    membersstring[]Required

    List of members

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42"]
    idintegerRequired

    ID of the data

    Example: 33
    filesobject[]Required

    List of files

    privacySettingsobjectRequired

    Privacy settings information

    draftbooleanRequired

    Flag indicating if the data is a draft

    Example: false
    numberingSchemestringRequired

    Numbering scheme for the data

    Example: Approval Test ###
    creatorstringRequired

    Creator ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    notificationGroupsobject[]Required

    List of notification groups

    addressstringRequired

    Address information

    Example: approval-test
    titlestringRequired

    Title of the status

    Example: Approved
    idintegerRequired

    ID of the status

    Example: 6
    activebooleanRequired

    Flag indicating if the status is active

    Example: false
    seqNointegerRequired

    Sequence number of the status

    Example: 3
    lockedbooleanRequired

    Flag indicating if the status is locked

    Example: false
    archiveModestringRequired

    Archive mode setting

    Example: ignore
    idintegerRequired

    ID of the rules

    Example: 213
    entitystringRequired

    Entity information

    Example: status
    entityIdintegerRequired

    Entity ID

    Example: 6
    fieldstringRequired

    Field information

    blocksobject[]Required

    List of blocks

    statestringRequired

    State of the default behavior

    Example: enabled
    tooltipstringRequired

    Tooltip information

    layoutobjectRequired

    Layout information

    descriptionstringRequired

    Description of the checklist

    checklistIdintegerRequired

    ID of the checklist

    activeCountintegerRequired

    Active count value

    Example: 39
    titlestringRequired

    Title of the data

    Example: Approval Test
    deletedbooleanRequired

    Flag indicating if the data is deleted

    Example: false
    processOwnersstring[]Required

    List of process owners

    invocationCountintegerRequired

    Invocation count value

    Example: 59
    groupsstring[]Required

    List of groups

    orgIdintegerRequired

    Organization ID

    Example: 1
    descriptionstringRequired

    Description of the data

    Example: New Process
    401

    Authentication / Authorization error

    application/json
    errorstringRequired
    404

    Not Found

    application/json
    stringOptional
    500

    Internal server error

    application/json
    errorstringRequired
    get/workflow
    GET /workflow HTTP/1.1
    Accept: */*
    
    [
      {
        "owner": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
        "updatedAt": "2024-01-11T06:07:04.182Z",
        "updatedBy": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
        "checklistFields": [
          {
            "attrs": "{\"~#text\":{\"label\":\"ENTER YOUR NAME\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
            "config": {
              "label": "ENTER YOUR NAME",
              "settings": {
                "multiline": true
              },
              "autoCheck": false
            },
            "promptRules": {
              "roles": [],
              "users": []
            },
            "id": 73,
            "seqNo": 0,
            "deletedAt": "2024-01-11T06:07:04.182Z",
            "layout": {},
            "deletedBy": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
            "deleted": true,
            "target": false,
            "hidden": false,
            "fieldType": "text"
          }
        ],
        "privacy": "none",
        "reminder": [
          "text"
        ],
        "createdAt": "2023-10-10T05:52:28.348Z",
        "settings": {
          "allowArchive": true,
          "nextCount": 2,
          "dueIn": "2023-11-10T05:52:28.348Z",
          "senderNotParticipant": false,
          "creatorIsParticipant": true,
          "noConfirmation": false,
          "creatorIsOwner": true,
          "hideAutoNumber": false,
          "statusDisabled": false
        },
        "members": [
          "Q79THCOJ5CcvWRMPeIVZiq1ezu42"
        ],
        "id": 33,
        "files": [
          {}
        ],
        "privacySettings": {},
        "draft": false,
        "numberingScheme": "Approval Test ###",
        "creator": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
        "notificationGroups": [
          {}
        ],
        "address": "approval-test",
        "status": [
          {
            "title": "Approved",
            "id": 6,
            "active": false,
            "seqNo": 3,
            "locked": false,
            "settings": {
              "archiveMode": "ignore"
            },
            "rules": {
              "id": 213,
              "entity": "status",
              "entityId": 6,
              "field": "text",
              "blocks": [
                {}
              ],
              "defaultBehavior": {
                "state": "enabled",
                "tooltip": ""
              }
            }
          }
        ],
        "layout": {},
        "checklists": [
          {
            "description": "text",
            "checklistId": 1
          }
        ],
        "activeCount": 39,
        "title": "Approval Test",
        "deleted": false,
        "processOwners": [
          "text"
        ],
        "invocationCount": 59,
        "groups": [
          "text"
        ],
        "orgId": 1,
        "description": "New Process"
      }
    ]
    get
    Path parameters
    idintegerRequired

    ID of the workflow

    Example: 13
    Responses
    200

    Success

    application/json
    ownerstringRequired

    Owner ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    updatedAtstringRequired

    Date and time when the data was last updated

    Example: 2024-01-11T06:07:04.182Z
    updatedBystringRequired

    ID of the user who last updated the data

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    attrsstringRequired

    Attributes information

    Example: {"~#text":{"label":"ENTER YOUR NAME","autoCheck":false,"settings":"{\"multiline\":true}"}}
    labelstringRequired

    Label for the checklist field

    Example: ENTER YOUR NAME
    multilinebooleanRequired

    Flag indicating if the field allows multiline input

    Example: true
    autoCheckbooleanRequired

    Flag indicating if auto-check is enabled for the field

    Example: false
    rolesstring[]Required

    List of roles

    usersstring[]Required

    List of users

    idintegerRequired

    ID of the checklist field

    Example: 73
    seqNointegerRequired

    Sequence number of the checklist field

    Example: 0
    deletedAtstringRequired

    Date and time when the checklist field was deleted

    Example: 2024-01-11T06:07:04.182Z
    layoutobjectRequired

    Layout information for the checklist field

    deletedBystringRequired

    ID of the user who deleted the checklist field

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    deletedbooleanRequired

    Flag indicating if the checklist field is deleted

    Example: true
    targetbooleanRequired

    Flag indicating if the checklist field is a target

    Example: false
    hiddenbooleanRequired

    Flag indicating if the checklist field is hidden

    Example: false
    fieldTypestringRequired

    Type of the checklist field

    Example: text
    privacystringRequired

    Privacy setting

    Example: none
    reminderstring[]Required

    List of reminders

    createdAtstringRequired

    Date and time when the data was created

    Example: 2023-10-10T05:52:28.348Z
    allowArchivebooleanRequired

    Flag indicating if archiving is allowed

    Example: true
    nextCountintegerRequired

    Next count value

    Example: 2
    dueInstringRequired

    Due date for the data

    Example: 2023-11-10T05:52:28.348Z
    senderNotParticipantbooleanRequired

    Flag indicating if the sender is not a participant

    Example: false
    creatorIsParticipantbooleanRequired

    Flag indicating if the creator is a participant

    Example: true
    noConfirmationbooleanRequired

    Flag indicating if no confirmation is needed

    Example: false
    creatorIsOwnerbooleanRequired

    Flag indicating if the creator is the owner

    Example: true
    hideAutoNumberbooleanRequired

    Flag indicating if auto-number should be hidden

    Example: false
    statusDisabledbooleanRequired

    Flag indicating if the status is disabled

    Example: false
    membersstring[]Required

    List of members

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42"]
    idintegerRequired

    ID of the data

    Example: 33
    filesobject[]Required

    List of files

    privacySettingsobjectRequired

    Privacy settings information

    draftbooleanRequired

    Flag indicating if the data is a draft

    Example: false
    numberingSchemestringRequired

    Numbering scheme for the data

    Example: Approval Test ###
    creatorstringRequired

    Creator ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    notificationGroupsobject[]Required

    List of notification groups

    addressstringRequired

    Address information

    Example: approval-test
    titlestringRequired

    Title of the status

    Example: Approved
    idintegerRequired

    ID of the status

    Example: 6
    activebooleanRequired

    Flag indicating if the status is active

    Example: false
    seqNointegerRequired

    Sequence number of the status

    Example: 3
    lockedbooleanRequired

    Flag indicating if the status is locked

    Example: false
    archiveModestringRequired

    Archive mode setting

    Example: ignore
    idintegerRequired

    ID of the rules

    Example: 213
    entitystringRequired

    Entity information

    Example: status
    entityIdintegerRequired

    Entity ID

    Example: 6
    fieldstringRequired

    Field information

    blocksobject[]Required

    List of blocks

    statestringRequired

    State of the default behavior

    Example: enabled
    tooltipstringRequired

    Tooltip information

    layoutobjectRequired

    Layout information

    descriptionstringRequired

    Description of the checklist

    checklistIdintegerRequired

    ID of the checklist

    activeCountintegerRequired

    Active count value

    Example: 39
    titlestringRequired

    Title of the data

    Example: Approval Test
    deletedbooleanRequired

    Flag indicating if the data is deleted

    Example: false
    processOwnersstring[]Required

    List of process owners

    invocationCountintegerRequired

    Invocation count value

    Example: 59
    groupsstring[]Required

    List of groups

    orgIdintegerRequired

    Organization ID

    Example: 1
    descriptionstringRequired

    Description of the data

    Example: New Process
    401

    Authentication / Authorization error

    application/json
    errorstringRequired
    404

    Not Found

    application/json
    stringOptional
    500

    Internal server error

    application/json
    errorstringRequired
    get/workflow/{id}
    GET /workflow/{id} HTTP/1.1
    Accept: */*
    
    {
      "owner": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "updatedAt": "2024-01-11T06:07:04.182Z",
      "updatedBy": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "checklistFields": [
        {
          "attrs": "{\"~#text\":{\"label\":\"ENTER YOUR NAME\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
          "config": {
            "label": "ENTER YOUR NAME",
            "settings": {
              "multiline": true
            },
            "autoCheck": false
          },
          "promptRules": {
            "roles": [],
            "users": []
          },
          "id": 73,
          "seqNo": 0,
          "deletedAt": "2024-01-11T06:07:04.182Z",
          "layout": {},
          "deletedBy": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
          "deleted": true,
          "target": false,
          "hidden": false,
          "fieldType": "text"
        }
      ],
      "privacy": "none",
      "reminder": [
        "text"
      ],
      "createdAt": "2023-10-10T05:52:28.348Z",
      "settings": {
        "allowArchive": true,
        "nextCount": 2,
        "dueIn": "2023-11-10T05:52:28.348Z",
        "senderNotParticipant": false,
        "creatorIsParticipant": true,
        "noConfirmation": false,
        "creatorIsOwner": true,
        "hideAutoNumber": false,
        "statusDisabled": false
      },
      "members": [
        "Q79THCOJ5CcvWRMPeIVZiq1ezu42"
      ],
      "id": 33,
      "files": [
        {}
      ],
      "privacySettings": {},
      "draft": false,
      "numberingScheme": "Approval Test ###",
      "creator": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "notificationGroups": [
        {}
      ],
      "address": "approval-test",
      "status": [
        {
          "title": "Approved",
          "id": 6,
          "active": false,
          "seqNo": 3,
          "locked": false,
          "settings": {
            "archiveMode": "ignore"
          },
          "rules": {
            "id": 213,
            "entity": "status",
            "entityId": 6,
            "field": "text",
            "blocks": [
              {}
            ],
            "defaultBehavior": {
              "state": "enabled",
              "tooltip": ""
            }
          }
        }
      ],
      "layout": {},
      "checklists": [
        {
          "description": "text",
          "checklistId": 1
        }
      ],
      "activeCount": 39,
      "title": "Approval Test",
      "deleted": false,
      "processOwners": [
        "text"
      ],
      "invocationCount": 59,
      "groups": [
        "text"
      ],
      "orgId": 1,
      "description": "New Process"
    }
    post
    Body
    titlestringRequired

    Title of the Workflow template

    Example: Purchase order
    descriptionstringOptional

    Description of the Workflow template

    Example: Get the list of items for purchase
    membersstring[]Optional

    List of member IDs

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42","fcsknAS1txaGbWyYIILvu56dtir2"]
    groupsstring[]Optional

    List of groups

    processOwnersstring[]Optional

    List of process owner IDs

    ownerstringOptional

    Owner ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    numberingSchemestringRequired

    Numbering scheme for the Workflow template

    Example: Purchase order ###
    checklistsinteger[]Optional

    List of checklist IDs

    attrsstringOptional

    Attributes of the checklist field

    Example: {"~#text":{"label":"Name of the Company","autoCheck":false,"settings":"{\"multiline\":true}"}}
    layoutobjectOptional

    Layout information

    deletedbooleanOptional

    Flag indicating if the checklist field is deleted

    Example: false
    hiddenbooleanOptional

    Flag indicating if the checklist field is hidden

    Example: false
    deletedBynullOptional

    ID of the user who deleted the checklist field

    deletedAtnullOptional

    Timestamp when the checklist field was deleted

    notificationGroupsstring[]Optional

    List of notification groups

    filesobject[]Optional

    List of file names

    privacystringOptional

    Privacy setting

    Example: full
    idintegerOptional

    ID of the status

    Example: -1
    activebooleanOptional

    Flag indicating if the status is active

    Example: true
    blocksstring[]Optional

    List of blocks

    whiteliststring[]Optional

    List of whitelisted users

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42","fcsknAS1txaGbWyYIILvu56dtir2"]
    allowArchivebooleanOptional

    Flag indicating if archiving is allowed

    Example: true
    nextCountnullOptional

    Next count value

    Example: 1
    hideAutoNumberbooleanOptional

    Flag indicating if auto-number should be hidden

    Example: false
    statusDisabledbooleanOptional

    Flag indicating if the status is disabled

    Example: false
    creatorIsOwnerbooleanOptional

    Flag indicating if the creator is the owner

    Example: true
    creatorIsParticipantbooleanOptional

    Flag indicating if the creator is a participant

    Example: true
    senderNotParticipantbooleanOptional

    Flag indicating if the sender is not a participant

    Example: false
    noConfirmationbooleanOptional

    Flag indicating if no confirmation is needed

    Example: false
    dueInnullOptional

    Due date in days

    Example: 2
    Responses
    200

    Success

    application/json
    ownerstringRequired

    Owner ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    updatedAtstringRequired

    Timestamp of the last update

    Example: 2024-02-05T03:55:20.114928Z
    updatedBystringRequired

    ID of the user who performed the update

    privacystringRequired

    Privacy setting

    Example: full
    idintegerRequired

    Reminder ID

    Example: 8
    reminderTypeIdintegerRequired

    ID of the reminder type

    Example: 1
    reminderTypestringRequired

    Type of the reminder

    Example: inactivity
    remindInintegerRequired

    Remind in days

    Example: 1
    intervalstringRequired

    Interval for the reminder

    Example: day
    allowDisablebooleanRequired

    Flag indicating if the reminder can be disabled

    Example: true
    messagestringRequired

    Reminder message

    Example: Please update the values of the Purchase
    createdAtstringRequired

    Timestamp of creation

    Example: 2024-02-05T03:55:20.083Z
    allowArchivebooleanRequired

    Flag indicating if archiving is allowed

    Example: true
    nextCountnullRequired

    Next count value

    dueInnullRequired

    Due date in days

    Example: 2
    senderNotParticipantbooleanRequired

    Flag indicating if the sender is not a participant

    Example: false
    creatorIsParticipantbooleanRequired

    Flag indicating if the creator is a participant

    Example: true
    noConfirmationbooleanRequired

    Flag indicating if no confirmation is needed

    Example: false
    creatorIsOwnerbooleanRequired

    Flag indicating if the creator is the owner

    Example: true
    hideAutoNumberbooleanRequired

    Flag indicating if auto-number should be hidden

    Example: false
    statusDisabledbooleanRequired

    Flag indicating if the status is disabled

    Example: false
    membersstring[]Required

    List of member IDs

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42","fcsknAS1txaGbWyYIILvu56dtir2"]
    idintegerRequired

    Workflow Template ID

    Example: 43
    filesobject[]Required

    List of file names

    whiteliststring[]Required

    List of whitelisted users

    draftbooleanRequired

    Draft status

    Example: false
    numberingSchemestringRequired

    Numbering scheme for the Workflow Template

    Example: Purchase order ###
    creatorstringRequired

    Creator ID

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    notificationGroupsstring[]Required

    List of notification groups

    addressstringRequired

    Address of the Workflow Template

    Example: purchase-order
    titlestringRequired

    Status title

    Example: Pending
    idintegerRequired

    Status ID

    Example: -1
    activebooleanRequired

    Flag indicating if the status is active

    Example: true
    seqNointegerRequired

    Sequence number

    Example: 1
    lockedbooleanRequired

    Flag indicating if the status is locked

    Example: false
    settingsobjectRequired

    Status settings

    rulesobjectRequired

    Status rules

    checklistWidthstringRequired

    Checklist width

    Example: 1
    webbooleanRequired

    Web state

    Example: true
    litebooleanRequired

    Lite state

    Example: true
    liteMobilebooleanRequired

    Lite mobile state

    Example: false
    401

    Authentication / Authorization error

    application/json
    errorstringRequired
    404

    Not Found

    application/json
    stringOptional
    500

    Internal server error

    application/json
    errorstringRequired
    post/workflow
    POST /workflow HTTP/1.1
    Content-Type: application/json
    Accept: */*
    Content-Length: 914
    
    {
      "title": "Purchase order",
      "description": "Get the list of items for purchase",
      "members": [
        "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
        "fcsknAS1txaGbWyYIILvu56dtir2"
      ],
      "groups": [],
      "processOwners": [],
      "owner": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "numberingScheme": "Purchase order ###",
      "checklists": [],
      "checklistFields": [
        {
          "attrs": "{\"~#text\":{\"label\":\"Name of the Company\",\"autoCheck\":false,\"settings\":\"{\\\"multiline\\\":true}\"}}",
          "layout": null,
          "deleted": false,
          "hidden": false,
          "deletedBy": null,
          "deletedAt": null
        }
      ],
      "notificationGroups": [],
      "files": [],
      "privacy": "full",
      "status": [
        {
          "id": -1,
          "active": true,
          "rules": {
            "blocks": [
              "text"
            ]
          }
        }
      ],
      "privacySettings": {
        "whitelist": [
          "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
          "fcsknAS1txaGbWyYIILvu56dtir2"
        ]
      },
      "settings": {
        "allowArchive": true,
        "nextCount": 1,
        "hideAutoNumber": false,
        "statusDisabled": false,
        "creatorIsOwner": true,
        "creatorIsParticipant": true,
        "senderNotParticipant": false,
        "noConfirmation": false,
        "dueIn": 2
      }
    }
    {
      "owner": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "updatedAt": "2024-02-05T03:55:20.114928Z",
      "updatedBy": null,
      "privacy": "full",
      "reminder": [
        {
          "id": 8,
          "reminderTypeId": 1,
          "reminderType": "inactivity",
          "remindIn": 1,
          "interval": "day",
          "allowDisable": true,
          "message": "Please update the values of the Purchase"
        }
      ],
      "createdAt": "2024-02-05T03:55:20.083Z",
      "settings": {
        "allowArchive": true,
        "nextCount": null,
        "dueIn": 2,
        "senderNotParticipant": false,
        "creatorIsParticipant": true,
        "noConfirmation": false,
        "creatorIsOwner": true,
        "hideAutoNumber": false,
        "statusDisabled": false
      },
      "members": [
        "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
        "fcsknAS1txaGbWyYIILvu56dtir2"
      ],
      "id": 43,
      "files": [],
      "privacySettings": {
        "whitelist": [
          "text"
        ]
      },
      "draft": false,
      "numberingScheme": "Purchase order ###",
      "creator": "Q79THCOJ5CcvWRMPeIVZiq1ezu42",
      "notificationGroups": [],
      "address": "purchase-order",
      "status": [
        {
          "title": "Pending",
          "id": -1,
          "active": true,
          "seqNo": 1,
          "locked": false,
          "settings": {},
          "rules": {}
        }
      ],
      "layout": {
        "checklistWidth": "1",
        "checklistOpenState": {
          "web": true,
          "lite": true,
          "liteMobile": false
        }
      }
    }
    patch
    Path parameters
    idintegerRequired

    ID of the workflow

    Example: 11
    Body
    titlestringOptional

    Title of the Workflow Template

    Example: Workflow Template
    descriptionstringOptional

    Description of the Workflow Template

    Example: Get the list of items for purchase
    membersstring[]Optional

    List of member IDs associated with the Workflow Template

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42","fcsknAS1txaGbWyYIILvu56dtir2"]
    groupsinteger[]Optional

    List of group information

    processOwnersstring[]Optional

    List of process owner IDs

    Example: ["Q79THCOJ5CcvWRMPeIVZiq1ezu42"]
    ownerstringOptional

    Owner ID of the Workflow Template

    Example: Q79THCOJ5CcvWRMPeIVZiq1ezu42
    numberingSchemestringOptional

    Numbering scheme for the Workflow Template

    Example: Purchase order ###
    notificationGroupsinteger[]Optional

    List of notification groups

    filesobject[]Optional

    List of files

    privacystringOptional

    Privacy setting for the Workflow Template

    Example: none
    titlestringOptional

    Title of the status

    Example: Completed
    idintegerOptional

    ID of the status

    Example: -2
    activebooleanOptional

    Flag indicating if the status is active

    Example: false
    seqNointegerOptional

    Sequence number of the status

    Example: 2
    lockedbooleanOptional

    Flag indicating if the status is locked

    Example: false
    settingsobjectOptional

    Settings for the status

    blocksobject[]Optional

    List of blocks

    privacySettingsobjectOptional

    Privacy settings information

    Example: {"whitelist":["fcsknAS1txaGbWyYIILvu56dtir2"]}
    allowArchivebooleanOptional

    Flag indicating if archiving is allowed

    Example: true
    nextCountintegerOptional

    Next count value

    Example: 23
    dueInintegerOptional

    Due date for the Workflow Template

    Example: 2
    senderNotParticipantbooleanOptional

    Flag indicating if the sender is not a participant

    Example: false
    creatorIsParticipantbooleanOptional

    Flag indicating if the creator is a participant

    Example: true
    noConfirmationbooleanOptional

    Flag indicating if no confirmation is needed

    Example: false
    creatorIsOwnerbooleanOptional

    Flag indicating if the creator is the owner

    Example: true
    hideAutoNumberbooleanOptional

    Flag indicating if auto-number should be hidden

    Example: false
    statusDisabledbooleanOptional

    Flag indicating if the status is disabled

    Example: false
    idintegerOptional

    ID of the reminder

    Example: 8
    reminderTypeIdintegerOptional

    ID of the reminder type

    Example: 1
    reminderTypestringOptional

    Type of the reminder

    Example: inactivity
    remindInintegerOptional

    Number of days to remind

    Example: 1
    intervalstringOptional

    Interval for the reminder

    Example: day
    allowDisablebooleanOptional

    Flag indicating if the reminder can be disabled

    Example: false
    messagestringOptional

    Reminder message

    Example: Please update the values of the Purchase
    checklistWidthstringOptional

    Width of the checklist

    Example: 1
    webbooleanOptional

    Flag indicating if web checklist is open
[...]
